<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
           <!--PD000000 -->
           <el-tab-pane label="Search Panel" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000278 -->
           <el-tab-pane label="Conditions" name="fecp0">
                <m-fecp0 :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000700 -->
           <el-tab-pane label="Infotext" name="oitpan">
                <m-oitpan :model="model" :codes="codes"/>
           </el-tab-pane>

       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Inffec from "~/model/Inffec"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Inffec/Check"
import Default from "~/model/Inffec/Default"
import Pattern from "~/model/Inffec/Pattern"
import Fecp0 from "./Fecp0"
import Oitpan from "./Oitpan"
import Infsea from "./Infsea"


export default {
    components:{
        "m-infsea" : Infsea,
        "m-fecp0" : Fecp0,
        "m-oitpan" : Oitpan,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "",
            trnName: "inffec",
            model: new Inffec().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
                ...CodeTable
            },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入inffec交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
